CVE-2001-1432
CVSS7.8
发布时间 :2001-12-29 00:00:00
修订时间 :2008-09-05 00:00:00
NMCOS    

[原文]Directory traversal vulnerability in Cherokee Web Server allows remote attackers to read arbitrary files via a .. (dot dot) in the URL.


[CNNVD]Cherokee HTTPD目录遍历漏洞(CNNVD-200112-145)

        Cherokee Web Server存在目录遍历的。远程攻击者借助URL中的..(点 点)读取任意文件。

- CVSS (基础分值)

CVSS分值: 7.8 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-22 [对路径名的限制不恰当(路径遍历)]

- CPE (受影响的平台与产品)

cpe:/a:cherokee:cherokee_httpd:0.2
cpe:/a:cherokee:cherokee_httpd:0.1.5
cpe:/a:cherokee:cherokee_httpd:0.2.6
cpe:/a:cherokee:cherokee_httpd:0.2.5
cpe:/a:cherokee:cherokee_httpd:0.1
cpe:/a:cherokee:cherokee_httpd:0.2.7
cpe:/a:cherokee:cherokee_httpd:0.1.6

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-1432
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-1432
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200112-145
(官方数据源) CNNVD

- 其它链接及资源

http://www.kb.cert.org/vuls/id/464827
(UNKNOWN)  CERT-VN  VU#464827
http://xforce.iss.net/xforce/xfdb/7799
(UNKNOWN)  XF  cherokee-http-directory-traversal(7799)
http://www.securityfocus.com/bid/3772
(UNKNOWN)  BID  3772
http://archives.neohapsis.com/archives/vulnwatch/2001-q4/0085.html
(UNKNOWN)  VULNWATCH  20011229 Remote Root Hole in Cherokee Webserver

- 漏洞信息

Cherokee HTTPD目录遍历漏洞
高危 路径遍历
2001-12-29 00:00:00 2005-10-20 00:00:00
远程  
        Cherokee Web Server存在目录遍历的。远程攻击者借助URL中的..(点 点)读取任意文件。

- 公告与补丁

        Currently the SecurityFocus staff are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com .

- 漏洞信息

16980
Cherokee Web Server URI Traversal Arbitrary File Access
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality
Exploit Public

- 漏洞描述

Cherokee Web Server contains a flaw that allows a remote attacker to read files outside of the web path. The issue is due to the program not properly sanitizing user input in browser requests, specifically traversal style attacks (../../). Due to a related flaw, Cherokee does not properly drop privileges, allowing an attacker to read any files on the system with root permissions.

- 时间线

2001-12-29 Unknow
2001-12-29 Unknow

- 解决方案

Upgrade to version 0.27 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

Cherokee HTTPD Directory Traversal Vulnerability
Input Validation Error 3772
Yes No
2001-12-29 12:00:00 2009-07-11 09:56:00
This issue was initially publicized in a GOBBLES advisory on December 29th, 2001.

- 受影响的程序版本

Cherokee Cherokee HTTPD 0.2.7
- Sun Solaris 8_sparc
- Sun Solaris 7.0
- Sun Solaris 2.6
Cherokee Cherokee HTTPD 0.2.6
- Sun Solaris 8_sparc
- Sun Solaris 7.0
- Sun Solaris 2.6
Cherokee Cherokee HTTPD 0.2.5
- Sun Solaris 8_sparc
- Sun Solaris 7.0
- Sun Solaris 2.6
Cherokee Cherokee HTTPD 0.2
- Sun Solaris 8_sparc
- Sun Solaris 7.0
- Sun Solaris 2.6
Cherokee Cherokee HTTPD 0.1.6
- Sun Solaris 8_sparc
- Sun Solaris 7.0
- Sun Solaris 2.6
Cherokee Cherokee HTTPD 0.1.5
- Sun Solaris 8_sparc
- Sun Solaris 7.0
- Sun Solaris 2.6
Cherokee Cherokee HTTPD 0.1
- Sun Solaris 8_sparc
- Sun Solaris 7.0
- Sun Solaris 2.6

- 漏洞讨论

Cherokee is a compact web server which provides fast delivery of web content. It is freely available and distributed under the GPL. It runs on Linux and other Unix systems.

Cherokee is prone to directory traversal attacks. By appending '../' sequences to a web request, it is possible for an attacker to browse the filesystem of the host.

Furthermore, another issue is known to exist in Cherokee which increases the impact of this vulnerability dramatically. BugTraq ID 3771, "Cherokee HTTPD Insecure Privilege Release Vulnerability" describes a problem in which Cherokee web server fails to drop root privileges after binding to port 80. The implication is that an attacker may browse any file on the system, as the web server is running with root privileges.

- 漏洞利用

This issue may be exploited with a web browser.

- 解决方案

Currently the SecurityFocus staff are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站